#!/bin/bash

# make sure this was run as root, so we don't get asked for
# passwords during execution
if [ $UID -ne 0 ] ; then
    echo "Need to be root; trying sudo"
    exec sudo nice env BUILD_CONFIG=$BUILD_CONFIG $0 "$@"
fi

. config || exit 0

set -e

#rm -f ${OUTPUT}
./cleanup.sh
for d in ${ORIG} ${OUTPUT} ${DISK} ; do
    mkdir -p $(dirname $d)
    chown ${USER} $(dirname $d)
done
./extractiso.sh
./customize.sh
./buildiso.sh
chown ${USER} ${ORIG} ${OUTPUT}
